CppUnit project page | FAQ

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Types | Private Member Functions | Private Attributes | List of all members
QtTestRunner Class Reference
Executing test

QT test runner.Here is an example of usage: More...

`#include <QtTestRunner.h>`

## Public Member Functions
| QtTestRunner ()
virtual | ~QtTestRunner ()
void | run (bool autoRun=false)
void | addTest (Test *test)

## Private Types
typedef CppUnitVector< Test * > | Tests

## Private Member Functions
| QtTestRunner (const QtTestRunner &copy)
| Prevents the use of the copy constructor. More...
void | operator= (const QtTestRunner &copy)
| Prevents the use of the copy operator. More...
Test * | getRootTest ()

## Private Attributes
Tests * | _tests
TestSuite * | _suite

## Detailed Description

QT test runner.

Here is an example of usage:

* #include <cppunit/extensions/TestFactoryRegistry.h>
* #include <cppunit/ui/qt/TestRunner.h>
*
* [...]
*
* void
* QDepWindow::runTests()
* {
* CppUnit::QtUi::TestRunner runner;
* runner.addTest( CppUnit::TestFactoryRegistry::getRegistry().makeTest() );
* runner.run( true );
* }
*

## Member Typedef Documentation

typedef CppUnitVector<Test *> QtTestRunner::Tests
| private

## Constructor & Destructor Documentation

QtTestRunner::QtTestRunner | ( |  | ) |

Constructs a TestRunner object.

virtual QtTestRunner::~QtTestRunner | ( |  | ) |
| virtual

Destructor.

QtTestRunner::QtTestRunner | ( | const QtTestRunner & | copy | ) |
| private

Prevents the use of the copy constructor.

## Member Function Documentation

void QtTestRunner::addTest | ( | Test * | test | ) |

Test* QtTestRunner::getRootTest | ( |  | ) |
| private

void QtTestRunner::operator= | ( | const QtTestRunner & | copy | ) |
| private

Prevents the use of the copy operator.

void QtTestRunner::run | ( | bool | autoRun = `false` | ) |

## Member Data Documentation

TestSuite* QtTestRunner::_suite
| private

Tests* QtTestRunner::_tests
| private

The documentation for this class was generated from the following file:

- QtTestRunner.h

| Send comments to: CppUnit Developers